Bug 1204803 - [6.4.0 RN] missing description of not supported PicketLink features
Summary: [6.4.0 RN] missing description of not supported PicketLink features
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR2
: EAP 6.4.0
Assignee: Scott Mumford
QA Contact: FIlip Bogyai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 14:14 UTC by FIlip Bogyai
Modified: 2015-12-01 05:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 23033, 6.4.0 Release Notes-6.4-1 Build Date: 17-03-2015 12:23:47 Topic ID: 42517-747416 [Latest]
Last Closed: 2015-04-17 05:24:05 UTC
Type: Bug


Attachments (Terms of Use)

Description FIlip Bogyai 2015-03-23 14:14:43 UTC
In Release_Notes (Revision 6.4.0-10) in section 3.1. Unsupported Features, there is missing description for PicketLink component. Description must be added, because in JBoss EAP 6.4 several parts of PicketLink will be unsupported/deprecated, and this must be clearly stated in Release Notes.

Comment 1 Scott Mumford 2015-03-24 23:15:09 UTC
Thanks for the heads-up Filip. 

I believe we were waiting on details about which specific 'parts' of PLINK weren't going to be supported.

I'm not sure who was responsible for suppling the info missing from that entry but it's getting late in the dev process. Perhaps we should consider falling back to what was included in the Unsupported Features of the 6.2 and 6.3 Release Notes:

PicketLink IDM
The PicketLink IDM (Identity Management) is not supported in JBoss EAP 6.

(the 6.3 entry specifies JBoss EAP 6.3, otherwise they're identical)

Would that suffice?

Also, we shouldn't keep including the same note in each update of the Release Notes. Eventually it should be either included in the core docs or considered assumed knowledge.

Comment 2 FIlip Bogyai 2015-03-26 08:28:50 UTC
No, it is not sufficient, because there will be also other unsupported/deprecated parts. The final decision is on PM, however you might obtain exact information from developers, please contact Boleslaw Dawidowicz <bdawidow@redhat.com>.

Comment 3 Scott Mumford 2015-03-26 22:30:14 UTC
Boleslaw, can you provide any update on this issue?

We can't progress with this text properly until we know exactly which parts of PLINK aren't going to be supported in the release.

Thanks in advance.

Comment 7 FIlip Bogyai 2015-04-13 08:41:31 UTC
Since information about deprecated features will be provided in separate article, it is fine to mention only PicketLink Identity Management, but the the sentence  formulation should be change. 

PicketLink Identity Management subsystem "is no longer" supported, is quite misleading because it never has been supported and also it is not limited only to subsystem. 

So probably the best will be what you have suggested in comment#1:

The PicketLink IDM (Identity Management) is not supported in JBoss EAP 6.

Comment 10 FIlip Bogyai 2015-04-14 10:37:27 UTC
Verified in Release Notes (Revision 6.4.0-15)


Note You need to log in before you can comment on or make changes to this bug.